
Auto Multiple Choice - Bug # 46: AMC-gui.pl does not start in 1.0.977, ubuntu 10.04 lts

Status: WontFix Priority: Normal
Author: Pieter  Van den Hombergh Category:
Created: 04/05/2012 Assignee:
Updated: 09/20/2012 Due date:
Description: Built system using make deb.

Then installed with 
<pre>
sudo dpkg -i /tmp/auto-multiple-choice_1.0.977-1_i386.deb
</pre>

starting auto-multiple-choice fails with error:
<pre>
Gtk-WARNING **: Unknown property: GtkImage.halign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkImage.halign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkImage.halign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkButton.halign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkComboBox.halign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkButton.halign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkButton.valign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkHBox.valign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkButton.halign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkButton.valign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkButton.halign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkButton.valign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkHBox.hexpand at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkScrolledWindow.hexpand at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkTreeView.halign at /usr/lib/AMC/AMC-gui.pl line 715.
Gtk-WARNING **: Unknown property: GtkTreeView.hexpand at /usr/lib/AMC/AMC-gui.pl line 715.
Unknown internal child: selection at /usr/lib/AMC/AMC-gui.pl line 715.
</pre>
The warnings also occur under ubuntu 11.10, but the *Unknown internal child* is only with ubuntu 10.04

History
04/05/2012 06:33 pm - Alexis Bienvenüe
- Subject changed from AMC-gui.pl does not start in 1.0.977, ubunto 10.04 lts to AMC-gui.pl does not start in 1.0.977, ubuntu 10.04 lts

Yes, I confirm this bug... I'm trying to see what is missing in Ubuntu 10.04, and to find a workaround.

04/05/2012 10:17 pm - Alexis Bienvenüe
I'm afraid the only solution is to read, correct and write (and sometimes build from zero) all glade files with an old glade version (<=3.8), which seems to 
be quite a lot of time...
If you have other ideas, or if you want to do the job, please tell me.
Else, I think the "solution" is to wait and upgrade to Ubuntu 12.04 (or upgrade to Ubuntu >= 11.04).

04/05/2012 10:28 pm - Pieter  Van den Hombergh
Since I have a ubuntu 11.10 machine available and 12.04 is around the corner, I'll settle for one of those versions.

So I will run my production on the 11.10 machine for now.
09/20/2012 09:50 am - Alexis Bienvenüe
- Status changed from New to WontFix
